<?
$stmp.="<span style=\"color:red\"><strong>Сменить E-mail</strong></span>";
if (!$sekr || !$log || !$pass || !$new_mail){
$stmp.="<br/>(персонаж должен быть не в игре)
<form action=\"$PHP_SELF\" method=\"get\">
Логин: <br/><input name=\"log\">
<br/><span style=\"color:red\"><strong>СЕКРЕТ</strong></span>
<br/><input name=\"sekr\">
<br/>Пароль<br/><input name=\"pass\">
<br/>----------<br/>
<span style=\"color:red\">Новый E-mail</span>:
<br/><input name=\"new_mail\">
<br/><input type=\"hidden\" name=\"site\" value=\"cmail\">
<input type=\"submit\" value=\"Отправить\">
<hr/><a href=\"$PHP_SELF?sid=$sid\">В начало</a>";
}else{
if (ereg("[$<>#]+",$new_mail))  msg("Недопустимые симболы!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
if (strlen($new_mail)>50)  msg("Длинный емаил!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
if (isset($game["players"]["user.$log"])) msg("Персонаж в игре!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
$user = implode("",file("users/user.$log.dat"));
$user = unserialize($user);
$info=explode("|",$user["info"]);
if ($sekr!=$info[5])  msg("Неправельные данные!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
if ($pass!=$info[0])  msg("Неправельные данные!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
$info[1]=$new_mail;
$user["info"]=implode("|",$info);
$file1 = fopen ("users/user.$log.dat", "w+");
fputs($file1,serialize($user));
fclose ($file1);
$stmp.="<br/>E-mail изменен на $new_mail<hr/><a href=\"$PHP_SELF\">[в начало]</a>";
}
msg($stmp,$game_title,0,'none');
?>